import 'package:json_annotation/json_annotation.dart';

part 'session_identifier.g.dart';


@JsonSerializable()
class SessionIdentifierDTO {
  final String clientId;
  final String deviceId;

  const SessionIdentifierDTO({
    required this.clientId,
    required this.deviceId,
  });

  factory SessionIdentifierDTO.fromJson(Map<String, dynamic> json) => _$SessionIdentifierDTOFromJson(json);
  Map<String, dynamic> toJson() => _$SessionIdentifierDTOToJson(this);
}
